MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000102SoldatOtherpublic2011-10-13 01:042016-09-01 01:21
Reporterskoskav 
Assigned ToFalcon 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformx64OSWindowsOS Version7 SP1
Product Version1.6.2 
Target VersionFixed in Version1.7.1 
Summary0000102: Soldat 1.6.2 patcher doesn't know where Soldat is installed
DescriptionFirst time running the 1.6.2 patcher it will default to want to patch Soldat at "C:\Soldat" instead of it's actual directory. That metadata needs to be saved at a known location like the registry or %localappdata%.
Steps To ReproduceRun the 1.6.2 patcher. Click next until it asks where to patch to.

To try it a second time, delete this registry key:
HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall\Soldat patch 1.6.1-1.6.2_is1

...or wherever it appears on 32-bit machines, otherwise the patcher will remember where it last patched.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001227)
Bendarr (reporter)
2011-10-13 15:39

Regardless of knowing the directory or not, it installs only to folders named "Soldat" so if you install the game and change the folder name to say, "Soldat 1.6.2" it will create a new folder called Soldat INSIDE the Soldat 1.6.2 folder (of course, after you navigate and select that location as the default is C:\Soldat) with all the patched & updated files
(0001275)
Shoozza (administrator)
2011-12-21 10:18

Seems like it uses the wrong registry path

- Issue History
Date Modified Username Field Change
2011-10-13 01:04 skoskav New Issue
2011-10-13 15:39 Bendarr Note Added: 0001227
2011-12-21 10:18 Shoozza Note Added: 0001275
2011-12-21 10:18 Shoozza Status new => acknowledged
2015-10-28 17:59 Shoozza Assigned To => Shoozza
2015-10-28 17:59 Shoozza Status acknowledged => confirmed
2016-06-15 20:15 Shoozza Assigned To Shoozza => Falcon
2016-09-01 01:21 Falcon Status confirmed => closed
2016-09-01 01:21 Falcon Resolution open => fixed
2016-09-01 01:21 Falcon Fixed in Version => 1.7.1


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker